#!/bin/bash
set -efu

cp -a tests ${AUTOPKGTEST_TMP}

for py3vers in $(py3versions -s); do
    echo
    echo "***************************"
    echo "*** Testing with ${py3vers}"
    echo "***************************"
    echo
    cd ${AUTOPKGTEST_TMP} && \
        rm -rf .pytest_cache peewee_test.db && \
        echo -e "Content of current working folder:\n" && \
        ls -la && \
        echo -e "Running tests...\n" && \
        "${py3vers}" -m pytest tests --verbose 2>&1 || exit 1
done

echo

exit 0
